/* $VER:  DMRename2Cmt.rexx 1.1 (23.2.03) by J. Tierney

  DiskMaster II Rename To Comment  v1.1
  2/23/00  J. Tierney

  Function:  Renames a file to it's comment.

  Usage:  Rexx Rename2Cmt.rexx <filename>
*/

OPTIONS RESULTS

PARSE ARG fname
x = LASTPOS('/', fname)
IF x = 0 THEN x = LASTPOS(':', fname)
path = LEFT(fname, x)
fname = '"' || fname || '"'

'FileStat' fname VAR fi

IF (fi = 0) & (fi.comment ~= '') THEN DO
  newname = '"' || path || fi.comment || '"'
  'Rename' fname newname
  'Comment' newname '##'
END

