/* $VER: DMSelectByDate.rexx 1.0 (30.3.98) by J. Tierney

  DiskMaster II Select by Date  v1.0
  3/30/98  J. Tierney <jodytierney@earthlink.net>

  Purpose:  Select files according to their date.

  Usage:  Rexx DMSelectByDate.rexx


  Note:  Specify the date(s) to match as you would for the AmigaDOS List
        command.  Ex:  SINCE 08-May-92
*/

OPTIONS RESULTS

'CONFIRM "Date(s) to match (d-mmm-y):" Okay Cancel "SINCE  UPTO"'
IF rc = 1 THEN EXIT 0
datematch = STRIP(result, 'B')

'STATUS P'
dir = result

who = ADDRESS()
tmpfile = 'PIPE:DateMatch.' || who

ADDRESS COMMAND 'List >' || tmpfile dir datematch 'LFORMAT %N'

CALL OPEN('fh', tmpfile, 'R')
DO UNTIL EOF('fh')
  fname = READLN('fh')
  IF fname ~= '' THEN 'SELECT' fname
END
CALL CLOSE('fh')
