/* $VER: Decrunch.rexx 1.0 (18.11.98) by J. Tierney

  Decrunch.rexx  v1.0
  11/18/98  J. Tierney

  Purpose:  Decrunches files using XFDDecrunch, deleting the ".pp" or ".xpk"
           suffix if necessary.

  Usage:  Decrunch.rexx <filename>
*/

PARSE ARG fname
fname = STRIP(fname, 'B')

ADDRESS COMMAND 'C:C2/XFDDecrunch >NIL: CLONE' fname

x = LASTPOS('.', fname)
IF x ~= 0 THEN DO
  ext = SUBSTR(fname, x + 1)
  IF (ext = 'pp') | (ext = 'xpk') THEN DO
    ADDRESS COMMAND 'RENAME >NIL:' fname 'TO' LEFT(fname, x - 1)
  END
END
