/* $VER: DMCopyCmt.rexx 1.1 (19.2.03) by J. Tierney

  DiskMaster II Copy Comment  v1.1
  2/19/03  J. Tierney

  Function:  All selected entries in the Dest window recieve the same comment
            as the 1st selected entry in the Source window.

  Usage:  DMCopyCmt.rexx
*/

OPTIONS RESULTS

DIRLIST var slist SEL COMMENT

'WINDOW DEST'
DIRLIST VAR dlist SEL
'STATUS P'
path = result
IF RIGHT(path, 1) ~= ':' THEN path = path || '/'


IF (slist.name.0 > 0) & (dlist.name.0 > 0) THEN DO
  cmt = slist.comment.1

  IF cmt = 'SLIST.COMMENT.1' THEN cmt = '##'
  ELSE cmt = '"' || cmt || '"'

  DO i = 1 TO dlist.name.0
    fn = path || dlist.name.i
    COMMENT fn cmt
  END
END

'WINDOW DEST'
EXIT 0

