/* $VER: DMDir2Key.rexx 1.1 (23.2.03) by J. Tierney

  DM2 Directory to Key  v1.1

  Function:  Stores the path of the current source directory to a hotkey.

  Usage:  Rexx DMDir2Key.rexx [<key>]

          <key> - Key to save the directory to.
                  Optional.  A requester will open if no key is specified.
                  See AddKeyCommand in the DM2.guide for valid keys.
*/

OPTIONS RESULTS

PARSE ARG key .

'Status P'
dir = '"' || result || '"'

IF key = '' THEN DO
  'Confirm "Save dir to which key?" "Okay" "Cancel" "a"'
  key = result
END

'AddKeyCmd' key || ', NewDir' dir
