/* $VER: DMIBrowse2CmtURL.rexx 1.2 (28.2.99) by J. Tierney

  DiskMaster II IBrowse To Comment's URL  v1.2
  2/28/99  J. Tierney

  Purpose:  Tells IBrowse to go to the URL contained in the selected file's
           comment.

  Usage:  REXX DMIBrowse2CmtURL.rexx
*/

who = ADDRESS()  /* Who started the script (DM port name). */

'DirList SEL FILE COMMENT'
IF list.name.0 ~= 0 THEN DO
  url = list.comment.1
  IF url ~= '' THEN DO

    x = LASTPOS('.', url)
    ext = SUBSTR(url, x)
    IF POS('htm', ext) = 0 THEN DO
      /* Find the last "/" after the "http://". */
      x = POS('://', url)
      IF x ~=0 THEN x = x + 2
      y = LASTPOS('/', SUBSTR(url, x + 1))
      IF y ~= 0 THEN url = LEFT(url, x + y)
    END

    IF SHOW('P', 'IBROWSE') THEN DO
      ADDRESS 'IBROWSE'
      'GOTOURL' url

      /* Switch back to DM (will soon be using "DESELECT"). */
      ADDRESS VALUE who
    END
    ELSE ADDRESS COMMAND 'RUN TTCP:IBrowse/Ibrowse' url
    'DeSelect *'
  END
END
