/* $VER: DM_SelectBySize.rexx 1.1 (2.10.98) by J. Tierney

  DiskMaster II Select By Size v1.1
  10/2/98  J. Tierney

  Function:  Sorts a dir by size, & then selects files which are the same size.

  Usage:  Rexx DM_SelectBySize.rexx
*/

OPTIONS RESULTS

SORT S

DIRLIST VAR dlist SIZE

file1. = 0

DO i=1 TO dlist.name.0
  IF file1.size = dlist.size.i THEN 'SELECT' file1.name dlist.name.i
  file1.name = dlist.name.i
  file1.size = dlist.size.i
END
