/* $VER: DMVirusCheck.rexx 1.1 (23.2.03) by J. Tierney

  DiskMaster II Virus Check  v1.1
  2/23/03  J. Tierney

  Purpose:  Scans the Source dir for virii using Virus Checker II.

  Usage:  Rexx REXX:DM2/DMVirusCheck.rexx

  Requires:  Virus Checker II
*/

OPTIONS RESULTS

'STATUS P'
scanme = result

ADDRESS 'Virus_CheckerII'
'SCAN' scanme

vn = vcheck.0.0
IF vn > 0 THEN DO
  lf = '|'x
  bt = '"*** DANGER ***' || lf || vn 'virii found:'
  DO i = 1 TO MIN(vn, 29)
    bt = bt || lf || vcheck.i.1
  END
  bt = bt || '"'
  END
ELSE DO
  bt = '"No virii found."'
END

'CONFIRM' bt 'Okay' 'Cancel'

